## Script (Python) "dummy_refs"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##

# Following bibliography references are taken from the import example bibtex file
# shipped with Raphel Ritz's CMFBibliographyAT.
# Warning: these should always stay in the file but can be modified,

dummy_refs = (
{'ref_type': 'Article',
 'id': 'Ritz97',
 'authors' : ({'firstname':'R.', 'lastname':'Ritz'},
              {'firstname':'T.', 'middlename':'J.', 'lastname':'Sejnowski'}),
 'title': 'Synchronous oscillatory activity in sensory systems: new vistas on mechanisms.',
 'journal': 'Curr. Opin. Neurobiol.',
 'publication_year': '1997',
 'volume': '7',
 'number': '4',
 'pages': '536--546',
 },
{'ref_type':'Book',
 'id': 'Ritz95',
 'authors': ({'firstname':'R.', 'lastname':'Ritz'},),
 'title': u'Informationsverarbeitung durch kohrente Aktivitt in neuronalen Systemen.',
 'publisher': 'Verlag Harri Deutsch',
 'publication_year': '1995',
 'number': '42',
 'series': 'Rheihe Physik',
 'address': 'Frankfurt am Main',
 },
{'ref_type':'Booklet',
 'id': 'Ritz2003',
 'title': 'A Beginners Guide to the World of Zope',
 'authors': ({'firstname':'Raphael', 'lastname':'Ritz'},),
 'url': 'http://www.neuroinf.de/Miscellaneous/BeginnersGuide',
 'howpublished': 'web-published',
 'month': 'March',
 'publication_year': '2003',
 },
{'ref_type':'Inbook',
 'id': 'Ritz94',
 'authors': ({'firstname':'R.', 'lastname': 'Ritz'},
             {'firstname': 'W.', 'lastname': 'Gerstner'},
             {'firstname': 'J.', 'middlename': 'L.', 'lastname': 'van Hemmen'}),
 'title': 'Associative binding and segregation in a network of spiking neurons.',
 'editor': 'E. Domany and J. L. van Hemmen and K. Schulten',
 'booktitle': 'Models of neural networks II',
 'publication_year': '1994',
 'publisher': 'Springer',
 'address': 'New York',
 'pages': '177--223'
 },
{'ref_type':'Incollection',
 'id': 'Ritz2003a',
 'authors': ({'firstname': 'Raphael', 'lastname': 'Ritz'}, 
             {'firstname': 'Rainer', 'lastname': u'Frster'},
             {'firstname': 'Andreas', 'middlename': 'V.M.', 'lastname': 'Herz'}),
 'title': 'Facilitating Data and Software Sharing in the Neurosciences - a Neuroinformatics Portal.',
 'booktitle': 'Neuroscience Databases - A Practical Guide',
 'pages': '293--306',
 'publisher': 'Kluwer Academic',
 'publication_year': '2003',
 'editor': u'Rolf Ktter',
 'chapter': '20',
 'address': 'Boston',
 },
{'ref_type':'Inproceedings',
 'id': 'Ritz96',
 'authors': ({'firstname': 'R.', 'lastname': 'Ritz'},
             {'firstname': 'T.', 'middlename': 'J.', 'lastname': 'Sejnowski'}),
 'title': 'Correlation coding in a stochastic network model of auditory binding.',
 'volume': '6',
 'pages': '161--171',
 'booktitle': 'Proceedings of the 3rd Joint Symposium on Neural Computation',
 'publication_year': '1996',
 'publisher': 'Institute for Neural Computation',
 'address': 'La Jolla, CA'
 },
{'ref_type':'Manual',
 'id': 'Ritz2004',
 'title': 'Programming Plone - The MySite Tutorial',
 'authors': ({'firstname': 'Raphael', 'lastname': 'Ritz'},),
 'url': 'http://www.neuroinf.de/LabTools/MySite',
 'organisation': 'Humboldt-University',
 'address': 'Berlin',
 'month': 'May',
 'publication_year': '2004',
 'note': 'work in progress',
 },
{'ref_type':'Mastersthesis',
 'id': 'Ritz91',
 'authors': ({'firstname': 'R.', 'lastname': 'Ritz'},),
 'title': 'Kollektive Oszillationen in neuronalen Netzen.',
 'school': 'Technische Universit{\"a}t M{\"u}nchen',
 'publication_year': '1991',
 'type': 'Diplomarbeit',
 },
{'ref_type':'Misc',
 'id': 'Ritz2004a',
 'authors': ({'firstname': 'Raphael', 'lastname': 'Ritz'},
             {'firstname': 'the Berlin Neuroscience Community'}),
 'title': 'Computational Neuroscience in Berlin',
 'url': 'http://www.cns-berlin.org',
 'howpublished': 'web-site',
 'publication_year': '2003-2004'
 },
{'ref_type':'Phdthesis',
 'id': 'Schuetze99',
 'authors': ({'firstname': 'Hartmut', 'lastname': u'Schtze'},),
 'title': 'Elektrophysiologische Untersuchungen zur neuronalen Mustergenese der Stridulation bei der Feldheuschrecke Stenobothrus rubicundus (Germar 1817)',
 'school': u'Georg-August-Universitt zu Gttingen',
 'publication_year': '1999'
 },
{'ref_type':'Preprint',
 'id': 'Gollisch2004',
 'authors': ({'firstname': 'Tim', 'lastname': 'Gollisch', 'homepage': 'http://www.cns-berlin.org/People/gollisch'},
             {'firstname': 'Andreas', 'middlename': 'VM', 'lastname': 'Herz', 'homepage': 'http://www.cns-berlin.org/People/herz'}),
 'title': 'Identification of sensory transduction chains in vivo',
 'publication_year': '2004',
 'url': 'http://www.cns-berlin.org/ResearchGroups/Herz/Papers/Gollisch2004',
 'abstract': 'Every sensation begins with the conversion of a sensory stimulus into the response of a receptor neuron. Typically, this involves a sequence of multiple biophysical processes that cannot all be monitored directly. Here we present a method that makes it nevertheless possible to extract their individual features by comparing different stimuli that cause the same final output, the only signal to be measured. Applied to auditory receptor cells, the technique reveals the sub-millisecond dynamics of mechanosensory signal processing and yields a quantitative four-step transduction model. The model accounts for the tuning properties of this class of neurons and explains their high temporal resolution under natural stimulation. Owing to its simplicity and generality, the method is readily applicable to other non-linear cascades and a large variety of signal-processing systems.'
 },
{'ref_type':'Proceedings',
 'id': 'Fogel2003',
 'title': 'Computational Intelligence - The Experts Speak',
 'publication_year': '2003',
 'authors': ({'firstname': 'David', 'middlename': 'B.', 'lastname': 'Fogel'},
             {'firstname': 'Charles', 'middlename': 'J.', 'lastname': 'Robinson'}),
 'organisation': 'IEEE Press',
 'publisher': 'Wiley Interscience'
 },
{'ref_type':'Techreport',
 'id': 'WisMal96a',
 'authors': ({'firstname': 'Laurenz', 'lastname': 'Wiskott'},
             {'firstname': 'Christoph', 'lastname': 'von der Malsburg'}),
 'publication_year': '1996',
 'title': 'Face Recognition by Dynamic Link Matching',
 'institution': u'Institut fr Neuroinformatik',
 'address': u'Ruhr-Universitt Bochum, D-44780 Bochum, Germany',
 'number': 'IR-INI 96-05',
 'url': 'http://itb.biologie.hu-berlin.de/~wiskott/Publications/WisMal96a-faceRecognitionDLM-IRINI9605.ps.gz',
 },
{'ref_type':'Unpublished',
 'id': 'Ritz2004c',
 'authors': ({'firstname': 'Raphael', 'lastname': 'Ritz'},),
 'title': 'Flexible Topic',
 'publication_year': '2004',
 'note': 'A Plone product that was never published individually but that is available together with the MySite package.'
 },
{'ref_type':'Webpublished',
 'id': 'BerkWisk2003a',
 'authors': ({'firstname': 'Pietro', 'lastname': 'Berkes'},
             {'firstname': 'Laurenz', 'lastname': 'Wiskott'}),
 'title': 'Slow Feature Analysis Yields a Rich Repertoire of Complex-Cell Properties',
 'publication_year': '2003',
 'url': 'http://itb.biologie.hu-berlin.de/~wiskott/Abstracts/BerkWisk2003a.html',
 'abstract': 'In this study, we investigate temporal slowness as a learning principle for receptive fields using slow feature analysis, a new algorithm to determine functions that extract slowly varying signals from the input data. We find that the learned functions trained on image sequences develop many properties found also experimentally in complex cells of primary visual cortex, such as direction selectivity, non-orthogonal inhibition, end-inhibition and side-inhibition. Our results demonstrate that a single unsupervised learning principle can account for such a rich repertoire of receptive field properties.',
 'note': 'Cognitive Sciences EPrint Archive (CogPrints) 2804, http://cogprints.ecs.soton.ac.uk/archive/00002804/'
 },
)

return dummy_refs